Subject: RE: [External] : Re: bug#51930: 27.2; Buffer-local functions? Buffers specified buffer-locally?

From: Drew Adams <[email-masked]>
Date: Tue, 20 Sep 2022 18:11:42 +0000

> > > The node "Windows Hooks" uses the phrase "Functions specified
> > > buffer-locally", after it explains that hooks can have buffer-local
> > > or global values.  I see no problem with that.
> >
> > Is that the node you've linked to?  I thought
> > you linked to node `Setting Hooks', where
> > `add-hook' is covered.  (I think you said you
> > linked to where `add-hook' is covered?)
> 
> I looked in both.
> 
> > FWIW, I don't see any node "Windows Hooks" in
> 
> "Window Hooks", without "s".

Thanks; I see that now (e.g. in Emacs 28.1).

BTW, there's a typo here; "of" should be "or":

 As any hook, these hooks can be set either globally
 of buffer-locally via the LOCAL argument of 'add-hook'
 ^^
 (*note Setting Hooks::) when the hook is installed.

> > However, does that node define/explain what
> > it _means_ for a _function_ to be "specified
> > buffer-locally"?
> 
> I think it does, yes.

I don't think so, FWIW.  One might _guess_ that it
means that, when used on a buffer-local hook the	
function _is_ a buffer-local function, IOW, guess
that that's the definition of a buffer-local
function.  But that's not said, AFAICT.  Please
consider adding such a definition.  (But should
such a general definition be in a node about only
_window_ hooks?)

FWIW, I see nothing (in 18.1) in node `Setting
Hooks' that mentions buffer-local functions.  All
I see mention of there is buffer-local hooks.
(That doesn't mean there shouldn't be a link to
that node -- the link is good.)